#!/usr/bin/env python
###############################################################################
# $Id: hfa_read.py,v 1.1 2003/03/27 08:21:10 dron Exp $
#
# Project:  GDAL/OGR Test Suite
# Purpose:  Test basic read support for all datatypes from a HFA file.
# Author:   Frank Warmerdam <warmerdam@pobox.com>
# 
###############################################################################
# Copyright (c) 2003, Frank Warmerdam <warmerdam@pobox.com>
# 
# This library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Library General Public
# License as published by the Free Software Foundation; either
# version 2 of the License, or (at your option) any later version.
# 
# This library is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# Library General Public License for more details.
# 
# You should have received a copy of the GNU Library General Public
# License along with this library; if not, write to the
# Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
###############################################################################
# 
#  $Log: hfa_read.py,v $
#  Revision 1.1  2003/03/27 08:21:10  dron
#  New.
#
#

import os
import sys

sys.path.append( '../pymod' )

import gdaltest
import gdal

###############################################################################
# When imported build a list of units based on the files available.

gdaltest_list = []

init_list = [ \
    ('byte.img', 1, 4672, None),
    ('int16.img', 1, 4672, None),
    ('uint16.img', 1, 4672, None),
    ('int32.img', 1, 4672, None),
    ('uint32.img', 1, 4672, None),
    ('float32.img', 1, 4672, None),
    ('float64.img', 1, 4672, None),
    ('utmsmall.img', 1, 50054, None)]

for item in init_list:
    ut = gdaltest.GDALTest( 'HFA', item[0], item[1], item[2] )
    if ut is None:
	print( 'HFA tests skipped' )
	sys.exit()
    gdaltest_list.append( (ut.testOpen, item[0]) )

if __name__ == '__main__':

    gdaltest.setup_run( 'hfa_read' )

    gdaltest.run_tests( gdaltest_list )

    gdaltest.summarize()

